bug-gnulib@gnu.org mirror (unofficial)
 help / color / mirror / Atom feed
From: Paul Eggert <eggert@cs.ucla.edu>
To: noloader@gmail.com, grep-devel@gnu.org
Cc: platform-testers@gnu.org, Gnulib bugs <bug-gnulib@gnu.org>
Subject: Re: [platform-testers] new snapshot available: grep-3.4-almost.19-ff30
Date: Fri, 18 Sep 2020 10:36:10 -0700	[thread overview]
Message-ID: <e623ac9c-0a9e-b65d-e29f-2d6cb04364d5@cs.ucla.edu> (raw)
In-Reply-To: <CAH8yC8nyqFHJwz9MJAt9YiJkUsEG0E3WK65=+JwdGGLt5tVioA@mail.gmail.com>

[-- Attachment #1: Type: text/plain, Size: 348 bytes --]

On 9/17/20 2:07 PM, Jeffrey Walton wrote:

> One failure on Ubuntu 18.04 x86_64 under UBsan (-fsanitize=undefined
> -fno-sanitize-recover=all).
> 
> FAIL: test-c-stack2.sh

That's a Gnulib test failure caused by -fsanitize=undefined getting in the way 
of a test harness self-test. I installed the attached Gnulib patch to work 
around the glitch.

[-- Attachment #2: 0001-c-stack-tests-fix-fsanitize-undefined-false-alarm.patch --]
[-- Type: text/x-patch, Size: 1654 bytes --]

From d4fdfe40ab297fc095b542b6f257c1947ba21067 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Fri, 18 Sep 2020 10:33:02 -0700
Subject: [PATCH] c-stack-tests: fix -fsanitize=undefined false alarm
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

* tests/test-c-stack2.sh: Skip the test-harness self-test
if ‘gcc -fsanitize=undefined’ is in use.
---
 ChangeLog              | 6 ++++++
 tests/test-c-stack2.sh | 7 +++++++
 2 files changed, 13 insertions(+)

diff --git a/ChangeLog b/ChangeLog
index dc585078c..703da6058 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2020-09-18  Paul Eggert  <eggert@cs.ucla.edu>
+
+	c-stack-tests: fix -fsanitize=undefined false alarm
+	* tests/test-c-stack2.sh: Skip the test-harness self-test
+	if ‘gcc -fsanitize=undefined’ is in use.
+
 2020-09-17  Paul Eggert  <eggert@cs.ucla.edu>
 
 	signalblocking: simplify and remove gl_SILENT
diff --git a/tests/test-c-stack2.sh b/tests/test-c-stack2.sh
index 2944ff5ba..7f035933f 100755
--- a/tests/test-c-stack2.sh
+++ b/tests/test-c-stack2.sh
@@ -23,6 +23,13 @@ case $? in
         exit 77
       fi
       ;;
+  1)
+      # Dereferencing NULL exits the program with status 1,
+      # so this test doesn't check the c-stack testing harness like it should.
+      # https://lists.gnu.org/r/grep-devel/2020-09/msg00034.html
+      cat t-c-stack2.tmp >&2
+      echo 'skipping test (perhaps gcc -fsanitize=undefined is in use?)'
+      exit 77;;
   0) (exit 1); exit 1 ;;
 esac
 if grep 'program error' t-c-stack2.tmp >/dev/null ; then
-- 
2.17.1


  reply	other threads:[~2020-09-18 17:36 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
     [not found] <m2imce1gpu.fsf@meyering.net>
     [not found] ` <CAH8yC8mn1YMN+fgzJBKEk9+y0qTqfO2zHbWUyO2ekVq-PimX3Q@mail.gmail.com>
2020-09-17 14:40   ` [platform-testers] new snapshot available: grep-3.4-almost.19-ff30 Jim Meyering
2020-09-17 22:46   ` Bruno Haible
2020-09-19 13:12   ` Bruno Haible
2020-09-19 14:21     ` Jeffrey Walton
2020-09-19 19:15       ` Bruno Haible
2020-09-20 19:28     ` Bruno Haible
     [not found] ` <CAH8yC8n4tmO6__C=zP0JZRmc5_ddg7L6uGAuLfjV_Bm+i3oYsA@mail.gmail.com>
2020-09-17 18:23   ` Paul Eggert
2020-09-17 20:53 ` grep-3.4-almost.19-ff30 on Solaris 10 Bruno Haible
2020-09-18  2:26   ` Paul Eggert
2020-09-18  9:01     ` Bruno Haible
2020-09-18 16:06       ` Paul Eggert
2020-09-19  0:25         ` gl_SILENT Bruno Haible
2020-09-17 21:07 ` [platform-testers] new snapshot available: grep-3.4-almost.19-ff30 Jeffrey Walton
2020-09-18 17:36   ` Paul Eggert [this message]
     [not found] <CMM.0.95.0.1600356616.beebe@gamma.math.utah.edu>
2020-09-17 19:22 ` Paul Eggert
2020-09-17 21:31 ` Paul Eggert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://lists.gnu.org/mailman/listinfo/bug-gnulib

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=e623ac9c-0a9e-b65d-e29f-2d6cb04364d5@cs.ucla.edu \
    --to=eggert@cs.ucla.edu \
    --cc=bug-gnulib@gnu.org \
    --cc=grep-devel@gnu.org \
    --cc=noloader@gmail.com \
    --cc=platform-testers@gnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).